from otree.api import (
    models,
    widgets,
    BaseConstants,
    BaseSubsession,
    BaseGroup,
    BasePlayer,
    Currency as c,
    currency_range,
)


author = 'Your name here'

doc = """
Your app description
"""


class Constants(BaseConstants):
    name_in_url = 'auction'
    players_per_group = 3
    num_rounds = 1


class Subsession(BaseSubsession):
    pass


class Group(BaseGroup):
    player_id_auction_winner = models.IntegerField()


class Player(BasePlayer):
    last_bid = models.FloatField()
    def live_auction(self,data):
        if data["bid_accepted"]:
            self.group.player_id_auction_winner = data["id_accepted_bid"]
            return {0: {"bid_accepted": True}}
        else:
            self.last_bid = data["bid"]
            return_data = {"bid_accepted": False, "id_bidder": self.id_in_group, "bid": data["bid"]}
            return {1: return_data, 2: return_data, 3: return_data}
